<template>
  <section class="profile">
    <div class="profile__heading">
      <div class="profile__title">
        <h1>{{$route.meta.title}}</h1>
      </div>
      <div class="profile__code btn btn--trans">
        <a href="#">
          <div class="total">
            <span class="icon">
              <img :src="require('../../assets/images/KK-icon-white.png')" alt="klout-kast-logo" />
            </span>
            <span>ODE</span>
          </div>
        </a>
      </div>
    </div>
    <div class="signup__box profile__box">
      <div class="signup__avatar profile__avatar">
        <img
          class="avatar-image"
          :src="require('../../assets/images/profile-lily.png')"
          height="200"
          alt="Your avatar profile"
        />
      </div>
      <div class="signup__type">
        <div class="row flex-end">
          <div class="col-md-4">
            <a v-ripple class="btn btn--trans">View Public Profile</a>
          </div>
          <div class="col-md-4">
            <h4>Chelsea Lily</h4>
            <h5>@chelsealily</h5>
            <strong>
              <a id="city">Eugene</a>,
              <a id="state">Oregon</a>,
              <a id="country">USA</a>
            </strong>
            <div class="rating-wrapper">
              <i class="faf fa-star"></i>
              <i class="faf fa-star"></i>
              <i class="faf fa-star"></i>
              <i class="faf fa-star"></i>
              <i class="faf fa-star grey"></i>
              <span>(38)</span>
            </div>
          </div>
          <div class="col-md-4">
            <router-link to="/edit-profile">
              <a v-ripple class="btn">Edit Your Profile</a>
            </router-link>
          </div>
        </div>
      </div>
    </div>
    <div class="-able-scroll-">
      <div class="profile__details">
        <div class="profile__section">
          <div class="row">
            <div class="col-md-7">
              <h4>Bio Description</h4>
              <p
                class="bio-desc"
              >Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
              <h4>Website</h4>
              <a class="website">https://www.chelsealily.com</a>
            </div>
            <div class="col-md-5">
              <h4>Bio Video</h4>
              <div class="video-wrapper">
                <iframe
                  class="has-media-controls-hidden"
                  id="video"
                  src="https://www.youtube.com/embed/M8U7PR6fQNA"
                  frameborder="0"
                  allow="accelerometer; encrypted-media; gyroscope; picture-in-picture"
                  allowfullscreen
                ></iframe>
                <!-- <div class="waves-box">
                  <a class="iq-video popup-youtube">
                    <i class="faf fa-play"></i>
                  </a>
                </div>-->
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <h4>Photos</h4>
              <Swiper swiperType="imageOnly" :swiperOption="imageOption" :swiperData="imageData" />
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <h4>Featured Song</h4>
              <em class="non-update">
                No featured song added.
                <strong>Edit your profile</strong> to add one.
              </em>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <h4>Videos</h4>
              <em class="non-update">
                No videos added.
                <strong>Edit your profile</strong> to add one.
              </em>
            </div>
          </div>
        </div>
        <div class="profile__section">
          <div class="row">
            <div class="col-md-12">
              <h2>Professions</h2>
            </div>
          </div>
          <div class="row">
            <div class="col-md-4">
              <h3>Actor</h3>
              <h3>Comedian</h3>
            </div>
            <div class="col-md-4">
              <h3>Dancer</h3>
              <strong>Styles:</strong>
              <p>Ballroom (Waltz), Lyrical</p>
            </div>
            <div class="col-md-4">
              <h3>Model</h3>
              <p>Fashion</p>
              <p>Fitness</p>
            </div>
          </div>
        </div>
        <div class="profile__section">
          <div class="row">
            <div class="col-md-12">
              <h2>Internet Services</h2>
            </div>
          </div>
          <div class="row">
            <div class="col-md-4">
              <h3>Instagram Posts</h3>
              <p>
                <strong>$39</strong> per post
              </p>
            </div>
            <div class="col-md-4">
              <h3>Facebook Posts</h3>
              <p>
                <strong>$39</strong> per post
              </p>
            </div>
            <div class="col-md-4">
              <h3>YouTube</h3>
              <p>
                <strong>$39</strong> per video
              </p>
            </div>
          </div>
        </div>
        <div class="profile__section">
          <div class="row">
            <div class="col-md-6">
              <img class="img-heading" :src="require('../../assets/images/KK-logo.png')" />
              <p>
                <strong>$39</strong> per post
              </p>
            </div>
            <div class="col-md-6">
              <img class="img-heading" :src="require('../../assets/images/KK-logo.png')" />
              <p>
                <strong>$1</strong> per minute
              </p>
              <p>
                <strong>$14</strong> for 15 minutes
              </p>
              <p>
                <strong>$25</strong> for 30 minutes
              </p>
              <p>
                <strong>$50</strong> for 1 hour
              </p>
            </div>
          </div>
        </div>
        <div class="profile__section">
          <div class="row">
            <div class="col-md-12">
              <h2>Terrestrial Services</h2>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <h3>In-Person Performance/Appearance</h3>
              <p>
                <strong>$39</strong> per hour
              </p>
              <p>
                <strong>2 hours</strong> minimum
              </p>
              <p
                class="seperate"
              >Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
            </div>
          </div>
        </div>
        <div class="profile__section">
          <div class="row">
            <div class="col-md-12">
              <h2>Interests</h2>
              <p
                class="bio-desc"
              >Accessories, Entertainment, Acting/Modeling, Music, Photography, Fashion. Beauty</p>
            </div>
          </div>
        </div>
        <div class="profile__section">
          <div class="row">
            <div class="col-md-12">
              <h2>Social Media Accounts</h2>
              <div class="social seperate">
                <a class="btn">Instagram</a>
                <a class="btn">Twitter</a>
                <a class="btn">Facebook</a>
                <a class="btn">YouTube</a>
              </div>
            </div>
          </div>
        </div>
        <div class="profile__section">
          <div class="row">
            <div class="col-md-12">
              <h4>Experience</h4>
              <p>
                Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia
                deserunt mollit anim id est laborum.
              </p>
            </div>
          </div>
          <div class="row flex-end">
            <div class="col-md-6">
              <h4>
                Recommendations
                <span class="sum-slide">10</span>
              </h4>
            </div>
            <div class="col-md-6">
              <div class="dynamic-slide">
                <em>
                  Viewing
                  <strong>1-2</strong> of
                  <strong>10</strong>
                </em>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <Swiper
                swiperType="recommendation"
                :swiperOption="recomOption"
                :swiperData="recomData"
              />
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <h4>Awards / Recognitions</h4>
              <p>
                Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia
                deserunt mollit anim id est laborum.
              </p>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <h4>Keywords</h4>
              <div class="keywords">
                <a class="btn btn--trans">Actor</a>
                <a class="btn btn--trans">Drama</a>
                <a class="btn btn--trans">Theater</a>
                <a class="btn btn--trans">Director</a>
                <a class="btn btn--trans">Musicals</a>
                <a class="btn btn--trans">Lessons</a>
                <a class="btn btn--trans">Vocals</a>
                <a class="btn btn--trans">Improv</a>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="signup__submit">
        <router-link to="/edit-profile">
          <input class="btn" type="submit" value="Edit Your Profile" />
        </router-link>
      </div>
      <Footer />
    </div>
  </section>
</template>

<script>
import Footer from '../Footer/Footer';
import Swiper from '../../shared/Swiper/Swiper';
import data from './db_swiper.json';

export default {
  components: {
    Footer,
    Swiper
  },

  data() {
    return {
      imageData: data.imageOnly,
      imageOption: {
        initialSlide: 0,
        slidesPerView: 5,
        spaceBetween: 10,
        loop: true,
        navigation: {
          nextEl: '.fa-caret-right',
          prevEl: '.fa-caret-left'
        }
      },
      recomData: data.recommendation,
      recomOption: {
        initialSlide: 0,
        slidesPerView: 2,
        spaceBetween: 10,
        loop: true,
        navigation: {
          nextEl: '.fa-caret-right',
          prevEl: '.fa-caret-left'
        }
      }
    };
  }
};
</script>

<style lang="scss">
@import './Profile.scss';
</style>